AutoCAD Inventor :: Create A Workplane With The API That Is Tangent To A Surface
May 18, 2006
How can I create a workplane with the API that is tangent to a surface and passes thru a workpoint. It is easy to create a work plane of type kPointAndTangentWorkPlaneDefObject by point and click in Inventor 11, but I can't figure out how to do it in the API.
What is the best way to create a workplane at a given angle on the surface of the tube. Imagine the workplane long and thin running along the surface of the tube. The angle will be a parameter (from a sketch or user).
I'd like the workplane to always be on the surface of the tube, even when the diameter of the tube (from a dimension in a sketch) changes.I'm thinking that a (angled) line in the same sketch as the two circles (which define the tube diameter and thickness) would be a good starting point.
I'm designing a part, and am having trouble creating a plane tangent to a curved surface. One option for creating a plane says "Tangent to Surface through Point", which in theory I should be able to use, but I can't figure out how to actually place a point there before in order to create a surface at the point.
Basically I am trying to cut a circle into the curved right side of the part
I am trying to create a workplane by a point and a line. I can do this maually, but have not been able to reproduce this in code.
BTW: I realize I can create a fixed workplane by using the point, the edge, and an edge perpendicular to the edge, but I cannot have this as a fixed workplane.
In an assembly document, I try to add a MateConstraint between male and female side of an 45 degrees elbow. The male side is built on the XZ Plane and Y Axis And I try to create a workplane on the female face.
But a got an error with the last line of code. Here's my code (vb.net code) :
' Get application object Dim app As Inventor.Application = GetObject(, "Inventor.Application") Dim doc As Inventor.AssemblyDocument = app.ActiveDocument
Why can't Inventor constrain an ellipsoidal contour with a line? We have pressure cylinders which uses a 2:1 ellipse. These cylinder get welded to a base stand fixture. The surface of the ellipse nestles in between contact points of the base stand, in this case lines of geometry. Yet Inventor can't constrain them as such. Any good workflow (at the assembly level) so that we don't have to ground components and use the Analyze Interference tool to make sure we are right on the surfaces? I don't understand why it will work for a cylindrical surface but not an elliptical surface.
I want to put my iFeature on my workplane,but i can't.However, if I change my PlaneInput = oFace , it can work perfectly.My program is below:
Private WithEvents oInteraction As InteractionEvents Private WithEvents oselect As SelectEvents Private Sub UserForm_Initialize() Set oInteraction = ThisApplication.CommandManager.CreateInteractionEvents Set oselect = oInteraction.SelectEvents
I want to use a lofted solid as a component in an assembly. I am using a top-down approach with 2D blocks to get the kinematics right before creating the components.
My problem is that the sketches needed to create the loft are on workplanes, and those workplanes are fixe with respect to an absolute coordinte system.
Is there a way to assosiate workplanes with a block instead, so that they will move with the part?
Is it possible that the problem is trying to do this in a part file, and that if I place the finished solid in an assembly it will then be able to move? ( I am fairly new to Inventor.)
I created a sketch on a 'fixed workplane' and extruded it. I would like to know if it is possible to move the workplane? I understand I can change the workplane if it is a 'plane by offset from plane'.
If moving a fixed workplane is possible, does the extruded features move along together?
I have some models which are based on skeleton modeling and where the actual parts are modeled at the position where they are in the assembly. When the skeleton part is changed the parts will update and their orientation related to the origin planes can change. This is where the problem lies, on the drawings of these parts the views are all skewed after an update.
Is it somehow possible to tell Inventor that all views on a a drawing should stay alligned to a workplane? Because it are all parts and no assemblies I cannot use posreps (and I don't want to use dummy assemblies). I also tried setting a specific edge to be horizontal with the rotate command in the drawing. This works for the base view, but all projected views will still be skewed after an update.
I have assembly file in which I have created a work plane "Work Plane19" . Now I wanted to create a new work plane which will be paralle to workplane "WorkPlane19" & offset by 10.5 mm in same assembly document through VBA subroutine. I have tried with following code but getting error,
Public Sub NewWorkPlaneCreate() Dim oAssly As AssemblyDocument Set oAssly = ThisApplication.ActiveDocument
I have a ipt file in my assembly and try to makes some constraints. Everything ios working well, but there are some suppressed workplanes, and I don't want to use them for a automatically created constraint. Is there a way to find out the workplane suppress status?
Why are they suppressed? They are defined on a part feature (extrusion surface). And when I supress that feature, also the Workplane is suppressed.
But I only can get the visible status. Maybe there's a way to get it about the part feature, but therefore, I have to search for the part feature, and that's also a problem. I cannot get the part feature, who is used for the workplane definition (I think, it's a problem of my knowledge )
Please see attached a small view on the browser where you can see the suppressed Planes.
I have three workplanes. All three were created the same way (offsetting an existing workplane). I want to change the offset dimension. I can on one of the planes, but on the other two, I have to "Redefine Feature". There is no Edit dimension available in the menu.
How do you create a new Workplane from a Defualt Plane and rotate it along a default Axis?I am new to API and trying to create workplanes and rotate them along a Axis.
Im trying to use "AddByPlaneAndOffset" is this the right method?
In Inventor, it is possible to mark a workplane with "Export Object", by rightclicking on the node. This make the workplane accessible when using the part as derived.
What is the programmatic access to the property? Can not find it on the Workplane object?
Is there anyway to completely hide a workplane that is contained within a clientfeature?
The attached part shows this when you hover over the client feature in the browser. I have the visibility of the plane turned off but it still shows up when the clientfeature is pre-selected.
I have been trying to research how to create a custom surface. I found this article [URL]...... about how to to create a surface from a jpeg. The article says to "expand color on the top left." of the style editor. However, when I open the dialogue there is no "color" that can be expanded. The only thing in the top left of dialogue box is "lighting." Is there another step that the article misses, or is there another way for me to create a surface from a jpeg?
Trying to patch and then sculpt an area on a pipe so that it blends together better, however it keeps coming up with an error. The strange thing is, it shows up in the preview after selecting all the edges but then does not calculate correctly.
Basically trying to fill the 2 small areas between the visible workplanes. Also, I couldn't get the project cut edges in the 2 sketches to only project the curves I needed, so all the cylinder edges are projected.
IV2012 Windows XP SP3 32-bit Intel Core 2 Duo 6400 @ 2.13 GHz Nvidia Quadro FX 3450/4000 SDI 256MB Vram 2 GB Ram 160GB HDD
Picture this, a tubular feature that has a path that runs along the circumference and turns linnear. A path thats .3125 in diameter. I attached a file that shows a hand sketch with this post but I can't tell if it will show up.
I have to create a hole (extrude) in a wall part in my assembly document where a stack will be installed.
To determine where, I verify if a line segment pass through the wall (XY Plane).
But I get an error with the command: IntersectWithLine
Here's my
Public Function IntersectionPoint(ByVal app As Inventor.Application, ByVal wp As Inventor.WorkPlane) As Inventor.Point Dim oTransGeom As Inventor.TransientGeometry = app.TransientGeometry Dim startPoint As Inventor.Point = oTransGeom.CreatePoint(Me.StartVertex.X, [Code] ......
How to create a work plane that is perpendicular to a surface? I'm trying to do this so that I can "split" the object into two separate entities where the plane is.
Is it possible to use an Autodesk Inventor .iam (assembly) to generate a file containing only the visible/exterior surfaces of that .iam?
My employer has a requirement that, in certain situations, only data without internal features/details can be supplied to customers.In this case, we only want the customer to be able to view the assembly & not see the internal features of individual parts.
I've currently written an application for SolidWorks that reads file that geometry in the form of faces (ie. 3 or 4 double values that represent triangular and quadirilateral faces). I am trying to create the same application to work for Autodesk Inventor, but I am having some issues.
First, I am basing my code off from the examples given in the help files. There's a lot of pointers to objects being to get to the Face creation portion, this seems to be slowing my appliation down considerable compared to the SolidWorks counterpart. SolidWorks API has a modelling method called CreatePlanarSurfaceDLL that allows me to provide an array of doubles representing the vertex points in order (x, y, Z) for each point, so the array looks like this for a triangle (P1.X, P1.Y, P1.Z, P2.X, P2.Y, P2.Z, P3.X, P3.Y, P3.Z). Is there anything similar in the Inventor API to simply the process?
Secondly, when using the example, they all have a known "shape" and therefor there are a definied number of vertices, edges, faces, etc. And when adding the faces, the known points / vertices are used. In my case, each face contains information for it's 3 or 4 vertices. I created these using the prescribed methods, but when the final surface body feature is created, and a repair is performed on it, it shows a lot of duplicate edges and vertices. Do I need to take the time and filter out all of the duplicate vertices, and point to a single vertex that may represent a vertext used by up to 3 or 4 faces?